<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="e" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="ActivityDetailHandlerPO.po" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>Activity Details</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
				</script>
			</head>
			<body class="body_home">

				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                              <table width="100%">
                                <tr>
                                  <td width="2%" />
                  
                                   <td class="logo_image_one"/>
                              
                                   <td  class="logo_image_two" />
                     
                                    <td class="logo_image_three"/>
                                  <td width="2%" />
                              </tr>
                        </table>
                        </td>
                     </tr>
                     
						<tr>
							<td width="2%" />

							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
                                   <tr>
                                     <td align="right"
                                      class="title_style" colspan="2" height="15" />
									</tr>
								   	<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                     <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                    </td>
                                   </tr>
                           
						 </table>
						  </td>
							 <td width="2%" />
					</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
							 <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        Activity Details
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">

                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
						</tr>
						<tr>
                         <td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15"/>
				         <td align="center" class="body_home" height="15" width="5%"/>
				         <td align="right" class="body_home" height="15"/>
                         <td align="left" class="body_home" width="2%"/>
                        </tr>
                        <tr/>
						<tr height="50%" />
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
								<b>GENERAL INFO</b>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<table width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0"
									class="body_main">

									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:PackageInstance'">
												<tr>
													<td>
														<b>XPDL Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															XPDL
															Version:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@Version" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															Name:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															State:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Definition
															Id:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@DefinitionId" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when
												test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">

												<tr>
													<td>
														<b>Process Id:</b>
													</td>
													<td>

														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Name:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Name" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process State:</b>
													</td>
													<td>
														<xsl:value-of
															select="@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Created:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Created" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Finished:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Finished" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Requester
															Username:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@RequesterUsername" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
										<xsl:when test="name()='xpil:ManualActivityInstance' or name()='xpil:ToolActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance' or name()='xpil:BlockActivityInstance'">


															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Id:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Id" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Name:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Name" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity State:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@State" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Created:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Created" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Started:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Started" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Finished:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Finished" />
																</td>
															</tr>

										</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>

						<tr height="35">
							<td width="2%" colspan="4" />
						</tr>
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">

							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<xsl:for-each select="//.">


									<xsl:if test='xpil:DataInstances'>
										<b>PROPERTIES</b>
										<!-- Variable Start -->
										<table align="center"
											width="100%" hight="100%" border="0">

											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:StringDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>

														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>

																<xsl:choose>

																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="200">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">


																			<xsl:value-of
																				select="$val" />


																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="200">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">

																			<xsl:value-of
																				select="$val" />

																		</td>
																	</xsl:otherwise>
																</xsl:choose>



													</tr>
												</xsl:if>
												<xsl:if
													test="name()='xpil:DoubleDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:LongDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
															</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:BooleanDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
                                                              </tr>
												</xsl:if>
                                                 <xsl:if
													test="name()='xpil:DateDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

													</tr>
												</xsl:if>

											</xsl:for-each>

										</table>
									</xsl:if>


								</xsl:for-each>
								<!-- Variable End -->
							</td>
						</tr>


						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
						<tr>

							<xsl:variable name="closeUrl">
								javascript:submitFormEvent('mainForm','ActivityDetailHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;pro_id=<xsl:value-of
									select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/@Id" />
								&#38;fromPage=<xsl:value-of
									select="$fromPage" />
								','close')
							</xsl:variable>						    <td width="2"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<a href="{$closeUrl}"
									class="link_text">
									<img src="media/back_n.gif"
										border="0" alt="Back" />
								</a>
							</td>
							<td width="2%" />
						</tr>

						<tr>
							<td align="left" class="body_bottom"
								width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
								&#169; 2006 Together Teaml&#246;sungen
							</td>
							<td class="body_bottom" height="15"
								align="right">
                        <xsl:if test="$auth_type!='BASIC'"> 
                           <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                           <a href="{$loUrl}">Log-out</a>
                        </xsl:if>
							</td>
							<td align="left" class="body_bottom"
								width="2%" />
						</tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>


</xsl:stylesheet>
